Source: backintime
Maintainer: Irene 'Tissy' Pirrotta <tissy@parrotsec.org>
Section: utils
Priority: extra
Build-Depends: debhelper (>= 7), dh-python
X-Python3-Version: >= 3.3
Standards-Version: 3.9.5
Homepage: https://github.com/bit-team/backintime

Package: backintime-common
Architecture: all
Depends: rsync, cron-daemon, openssh-client, python3-keyring, python3-dbus, ${python3:Depends}, ${misc:Depends}
Recommends: sshfs, encfs
Conflicts: backintime
Replaces: backintime
Description: Simple backup system (common)
 This package contains non GUI files used by different GUI fontends.

Package: backintime-qt
Architecture: all
Depends: x11-utils, libnotify-bin, python3-pyqt5, python3-dbus.mainloop.pyqt5, policykit-1, backintime-common (>= ${source:Version}~), ${python3:Depends}, ${misc:Depends}
Recommends: python3-secretstorage
Suggests: meld | kompare
Conflicts: backintime-qt4 (<< ${source:Version}~), backintime-kde (<< ${source:Version}~), backintime-kde4 (<< ${source:Version}~), backintime-gnome (<< ${source:Version}~), backintime-notify (<< ${source:Version}~)
Replaces:  backintime-qt4 (<< ${source:Version}~), backintime-kde (<< ${source:Version}~), backintime-kde4 (<< ${source:Version}~), backintime-gnome (<< ${source:Version}~), backintime-notify (<< ${source:Version}~)
Description: Simple backup system
 This is a Qt5 GUI frontend for backintime-common.

Package: backintime-qt4
Section: oldlibs
Architecture: all
Depends: backintime-qt, ${misc:Depends}
Description: Virtual package
 This is a virtual package to replace backintime-qt4 from official repositories
 with backintime-qt from PPA. It can safely be removed.

Package: backintime-kde
Section: oldlibs
Architecture: all
Depends: backintime-qt, ${misc:Depends}
Description: Virtual package
 This is a virtual package to replace backintime-kde from official repositories
 with backintime-qt from PPA. It can safely be removed.

Package: backintime-kde4
Section: oldlibs
Architecture: all
Depends: backintime-qt, ${misc:Depends}
Description: Virtual package
 This is a virtual package to replace backintime-kde4 with backintime-qt.
 It can safely be removed.

Package: backintime-gnome
Section: oldlibs
Architecture: all
Depends: backintime-qt, ${misc:Depends}
Description: Virtual package
 This is a virtual package to replace backintime-gnome with backintime-qt.
 It can safely be removed.

Package: backintime-notify
Section: oldlibs
Architecture: all
Depends: backintime-qt, ${misc:Depends}
Description: Virtual package
 This is a virtual package to replace backintime-notify with backintime-qt.
 It can safely be removed.
